Patch 365 Raise base package dependency to >= 4 (k... (and 2 more)

Title Raise base package dependency to >= 4 (k... (and 2 more)
Superseder Nosy List ganesh, kowey
Related Issues
Status accepted Assigned To

Created on 2010-08-25.15:38:34 by kowey, last changed 2011-05-10.22:07:40 by darcswatch. Tracked on DarcsWatch.

File name Status Uploaded Type Edit Remove
raise-base-package-dependency-to-__-4-_keeping-it-_-5__.dpatch kowey, 2010-08-25.15:38:34 text/x-darcs-patch
unnamed kowey, 2010-08-25.15:38:34
See mailing list archives for discussion on individual patches.
msg12296 (view) Author: kowey Date: 2010-08-25.15:38:34
Hi Ganesh,

3 patches for repository http://darcs.net/releases/branch-2.5:

This patch is a response to Ben Franksen's observation about the Darcs 2.5
beta 4 release.  What do you think?

(I'm asking you because I've somewhat cheekily resubmitted the
PatternSignatures patch, which we don't need for Darcs 2.5, but maybe
could include in HEAD now that we seem a lot more irreverisibly
committed to GHC 6.10 and higher.)

Naturally, Reinier should go ahead and apply the first 2 patches if
he seems them as being urgent.

Wed Aug 25 16:21:35 BST 2010  Eric Kow <kowey@darcs.net>
  * Raise base package dependency to >= 4 (keeping it < 5).
  We now require GHC 6.10.x or higher.

Wed Aug 25 16:24:43 BST 2010  Eric Kow <kowey@darcs.net>
  * Document GHC 6.10 dependency.

Fri Jul 23 14:18:43 BST 2010  Eric Kow <kowey@darcs.net>
  * Remove PatternSignatures as we currently require GHC 6.10 and up.

This email has been scanned by MessageLabs' Email Security
System on behalf of the University of Brighton.
For more information see http://www.brighton.ac.uk/is/spam/
msg12357 (view) Author: kowey Date: 2010-08-28.19:42:11
I think this was Ganesh-approved for HEAD:
http://irclog.perlgeek.de/darcs/2010-08-25#i_2747932 (with skepticism
about 2.5)

The documentation patch can go on 2.5, I think and I'll be taking the
liberty of pushing it over
msg12361 (view) Author: darcswatch Date: 2010-08-28.20:02:20
This patch bundle (with 3 patches) was just applied to the repository http://darcs.net/.
This message was brought to you by DarcsWatch
msg14404 (view) Author: darcswatch Date: 2011-05-10.22:07:40
This patch bundle (with 3 patches) was just applied to the repository http://darcs.net/reviewed.
This message was brought to you by DarcsWatch
Date User Action Args
2010-08-25 15:38:34koweycreate
2010-08-25 15:39:31darcswatchsetdarcswatchurl: http://darcswatch.nomeata.de/repo_http:__darcs.net_.html#bundle-f4c847da4a2ba6a13d2ca78443e23879d49e8d78
2010-08-28 19:42:11koweysetmessages: + msg12357
2010-08-28 20:02:20darcswatchsetstatus: needs-review -> accepted
messages: + msg12361
2011-05-10 22:07:40darcswatchsetmessages: + msg14404